@import url(fonts.css);



/*  Fallback message */

.fallback-message {
    font-family: sans-serif;
    line-height: 1.3;

    width: 780px;
    padding: 10px 10px 0;
    margin: 20px auto;

    border: 1px solid #E4C652;
    border-radius: 10px;
    background: #EEDC94;
}

.fallback-message p {
    margin-bottom: 10px;
}

.impress-supported .fallback-message {
    display: none;
}


/* Body & steps */
body {
    font-family: 'PT Sans', sans-serif;
    min-height: 740px;

    background: #00000f;
    color: rgb(102, 102, 102);
}

.step {
    /*position: relative;*/ 
    width: 1200px;
    height: 750px;
    /*
     * padding: 40px 60px;
     */
    margin: 20px auto;

    box-sizing:         border-box;

    line-height: 1.5;

    background-color: white;
    border-radius: 10px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, .1);

    text-shadow: 0 2px 2px rgba(0, 0, 0, .1);

    font-family: 'Open Sans', Arial, sans-serif;
    font-size: 20pt;
    letter-spacing: -1px;

}

.notes {
    display: none;
}

/* Overview step has no background or border */

.overview {
    background-color: transparent;
    border: none;
    box-shadow: none;
    pointer-events: none;
    display: none;
}
.overview.active {
    display: block;
    pointer-events: auto;
}

/*
    Make inactive steps a little bit transparent.
*/
.impress-enabled .step {
    margin: 0;
    opacity: 0.1;
    transition:         opacity 1s;
}

.impress-enabled .step.active { opacity: 1 }


/* Content */

h1, 
h2, 
h3 {
    margin-bottom: 0.5em;
    margin-top: 0.5em;
    text-align: center;
}

p {
    margin: 0.7em;
}

li {
    margin: 0.2em;    
}

/* Highlight.js used for coloring pre > code blocks. */
pre > code {
    font-size: 14px;
    text-shadow: 0 0 0 rgba(0, 0, 0, 0);
}

/* Inline code, no Highlight.js */
code {
    font-family: "Cutive mono","Courier New", monospace;
}


a {
    color: inherit;
    text-decoration: none;
    padding: 0 0.1em;
    background: rgba(200,200,200,0.2);
    text-shadow: -1px 1px 2px rgba(100,100,100,0.9);
    border-radius: 0.2em;
    border-bottom: 1px solid rgba(100,100,100,0.2);
    border-left:   1px solid rgba(100,100,100,0.2);

    transition:         0.5s;
}
a:hover,
a:focus {
    background: rgba(200,200,200,1);
    text-shadow: -1px 1px 2px rgba(100,100,100,0.5);
}

blockquote {
    font-family: 'PT Serif';
    font-style: italic;
    font-weight: 400;    
}

em {
    text-shadow: 0 2px 2px rgba(0, 0, 0, .3);    
}

strong {
    text-shadow: -1px 1px 2px rgba(100,100,100,0.5);
}

q {
    font-family: 'PT Serif';
    font-style: italic;
    font-weight: 400;    
    text-shadow: 0 2px 2px rgba(0, 0, 0, .3);
}

strike {
    opacity: 0.7;
}

small {
    font-size: 0.4em;
}


/*
  This version of impress.js supports plugins, and in particular, a UI toolbar
  plugin that allows easy navigation between steps and autoplay.
*/
.impress-enabled div#impress-toolbar {
    position: fixed;
    right: 1px;
    bottom: 1px;
    opacity: 0.6;
    z-index: 10;
}
.impress-enabled div#impress-toolbar > span {
    margin-right: 10px;
}

/*
    With help from the mouse-timeout plugin, we can hide the toolbar and
    have it show only when you move/click/touch the mouse.
*/
body.impress-mouse-timeout div#impress-toolbar {
    display: none;
}

/*
    In fact, we can hide the mouse cursor itself too, when mouse isn't used.
*/
body.impress-mouse-timeout {
    cursor: none;
}



/* Progress bar */
.impress-progressbar {
  position: absolute;
  right: 118px;
  bottom: 1px;
  left: 118px;
  border-radius: 7px;
  border: 2px solid rgba(100, 100, 100, 0.2);
}
.impress-progressbar DIV {
  width: 0;
  height: 2px;
  border-radius: 5px;
  background: rgba(75, 75, 75, 0.4);
  transition: width 1s linear;
}
.impress-progress {
  position: absolute;
  left: 59px;
  bottom: 1px;
  text-align: left;
  font-size: 10pt;
  opacity: 0.6;
}

/* Help popup plugin */
.impress-enabled #impress-help {
    background: none repeat scroll 0 0 rgba(0, 0, 0, 0.5);
    color: #EEEEEE;
    font-size: 80%;
    position: fixed;
    left: 2em;
    bottom: 2em;
    width: 24em;
    border-radius: 1em;
    padding: 1em;
    text-align: center;
    z-index: 100;
    font-family: Verdana, Arial, Sans;
}
.impress-enabled #impress-help td {
    padding-left: 1em;
    padding-right: 1em;
}


/* Styles specific to each step */

#overview2 {
    font-size: 20pt;
    padding-left: 200px;
    text-align: right;
}

.black {color: black;}
.toctree-wrapper {display:none;}
.dense pre {line-height: 0.9em;}

.slide.transparent, .step.transparent {opacity:0; display:none;}
.slide.active, .step.active,
.slide.past, .step.active {opacity:0.3; display:block;}


/*
    And as the last thing there is a workaround for quite strange bug.
    It happens a lot in Chrome. I don't remember if I've seen it in Firefox.

    Sometimes the element positioned in 3D (especially when it's moved back
    along Z axis) is not clickable, because it falls 'behind' the <body>
    element.

    To prevent this, I decided to make <body> non clickable by setting
    pointer-events property to `none` value.
    Value if this property is inherited, so to make everything else clickable
    I bring it back on the #impress element.

    If you want to know more about `pointer-events` here are some docs:
    https://developer.mozilla.org/en/CSS/pointer-events

    There is one very important thing to notice about this workaround - it makes
    everything 'unclickable' except what's in #impress element.

    So use it wisely ... or don't use at all.
*/
.impress-enabled                          { pointer-events: none }
.impress-enabled #impress                 { pointer-events: auto }
.impress-enabled #impress-toolbar         { pointer-events: auto }
.impress-enabled #impress-console-button  { pointer-events: auto }
